PDA

View Full Version : mod_cband needs apxs2



enginaar
02-26-2008, 12:57 AM
Hello,

I installed directadmin using custombuild. I need to install mod_cband and mod_cband requires apxs2 installed. I have to install the apache-devel package for that but i can't because of apache* was excluded by yum.conf. Will there be a problem if i remove apache from exclude list and install apache-devel by yum or what do you suggest me to install apxs2 in other ways.

Thanks.

smtalk
02-26-2008, 01:56 AM
Try:


ln -s /usr/sbin/apxs /usr/sbin/apxs2

enginaar
02-26-2008, 08:23 AM
i did. still get this output from ./configure of mod-cband.

[root@webhost mod-cband-0.9.7.5]# ./configure
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking whether make sets $(MAKE)... yes
checking for apr_palloc in -laprutil... no
checking for an ANSI C-conforming const... yes
checking for apxs... no
checking for apxs2... no
configure: error: apxs missing

agnivo007
02-26-2008, 09:42 AM
From above, apxs isn't being detected, leave alone apxs2!

Something wrong with your path settings or apxs really missing?

Hope smtalk would give better solution.

enginaar
02-27-2008, 04:24 AM
Thank you agnivo007. I thought the apxs was unimportant, after your warning i did:
#./configure --with-apxs=/usr/sbin/apxs

it worked. thanks.

agnivo007
02-27-2008, 05:11 AM
Nice, it finally worked for you. :)

enginaar
02-27-2008, 05:45 AM
now I have a mysql upgrade problem. yum update does not updates to mysql version 5. yum info mysql* shows only 4.1.20 version as the last version and custombuild didn't install mysql5 altough mysql=5.0 has been set in option.conf

agnivo007
02-28-2008, 03:36 AM
Did you do ?

./build update
./build versions

enginaar
02-28-2008, 04:47 AM
no, not did any update because I installed the machine a few days ago. should i do that after install. i updated mysql with rpms.

agnivo007
02-28-2008, 08:24 AM
Well, custombuild does update mysql with rpm's, not a source build, but taken from DA fileservers.

I recommend running the above command to check if you got everything right now. Update custombuild always before looking to upgrade softwares. :)

enginaar
02-28-2008, 08:42 AM
I read some topic about custombuild with mysql 5.1 problems and afraid a bit really. But I'll check in a free time. Thanks a lot.